﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{

    class Car
    {
        string brand;
        string model;
        int year;

        public static int counter = 0;

        public string Brand
        {
            get { return brand; }
            set { brand = value; }
        }


        public string Model

        {
            get { return model; }
            set { model = value; }
        }

        public int Year
        {
            get { return year; }
            set {  year = value; }
        }

        public Car(string brand, string model, int year)
        {
            Brand = brand;
            Model = model;
            Year = year;
            counter++;
        }

        public void PrintCarInfo()
        {
            Console.WriteLine($"Brand : {brand}");
            Console.WriteLine($"Model : {model}");
            Console.WriteLine($"Year : {year}");
            Console.WriteLine("-----------------------------");
        }
    }

    class ElectricCar : Car
    {
        int batterysize;

        public int BatterySize
        {
            get { return batterysize; }
            set { batterysize = value; }
        }

        public ElectricCar(string brand, string model, int year, int batterySize) : base(brand, model, year)
        {
            BatterySize = batterySize;
        }

        public void BatteryCapacity()
        {
            Console.WriteLine($"Battery Capacity : {batterysize} kwh");
        }
    }
    internal class Program
    {
        static void Main(string[] args)
        {
            ElectricCar car = new ElectricCar("Tesla","i don't know",2023,150);

            car.PrintCarInfo();
            car.BatteryCapacity();
        }
    }
}
